using System;
using System.Collections.Generic;
using System.Runtime.CompilerServices;
using Microsoft.CSharp.RuntimeBinder;

internal sealed class Delegate473 : MulticastDelegate
{
	public extern CallSiteBinder Invoke(CSharpBinderFlags csharpBinderFlags_0, string string_0, Type type_0, IEnumerable<CSharpArgumentInfo> ienumerable_0);

	public static CallSiteBinder smethod_0(CSharpBinderFlags csharpBinderFlags_0, string string_0, Type type_0, IEnumerable<CSharpArgumentInfo> ienumerable_0, Delegate473 delegate473_1)
	{
		return delegate473_1(csharpBinderFlags_0, string_0, type_0, ienumerable_0);
	}

	public extern Delegate473(object object_0, IntPtr intptr_0);

	static Delegate473()
	{
		Class10.smethod_13(typeof(Delegate473).TypeHandle);
	}

	internal static Delegate473 delegate473_0;
}
